# 7. Módosítás: „ZonesMap” generálása

Generálja a "ZonesMap"-et a "Field"-hez.

{% hint style="info" %}
A végrehajtási idő különböző (4 másodperctől 5 percig), ez a feldolgozandó képek számától és a tábla területétől függ, és az előfizetés a "ZonesMap" sikeres legenerálása után érkezik meg.
{% endhint %}

{% hint style="danger" %}
Javasoljuk a következő **aszinchrón** megközelítés használatát a ZonesMap-ek generálásához
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutáció GenerateZonesMap {
  generateVectorAnalysisMap(bemenet: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<helyőrző_satelitkép_uuid_2>"
    ]
    zónákSzáma: 6
    index: EVI2
  }) {
    uuid
    fieldUuid
    név
    típus
    geoMaps {
      url
      osztályok
      hexSzínkódok
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/7.-modositas-zonesmap-generalasa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
